Package com.independentsoft.office.word.numbering

# Class NumberingReference

java.lang.Object
com.independentsoft.office.word.numbering.NumberingReference

public class NumberingReference extends Object
The Class NumberingReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberingReference()`
  Instantiates a new numbering reference.
  `NumberingReference​(int numberingID)`
  Instantiates a new numbering reference.
  `NumberingReference​(int numberingID, int numberingLevelID)`
  Instantiates a new numbering reference.
  `NumberingReference​(InternalXMLStreamReader reader)`
  Instantiates a new numbering reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberingReference`
  `clone()`
  `InsertedNumberingProperties`
  `getInsertedNumberingProperties()`
  Gets the inserted numbering properties.
  `int`
  `getNumberingID()`
  Gets the numbering id.
  `int`
  `getNumberingLevelID()`
  Gets the numbering level id.
  `PreviousParagraphNumberingProperties`
  `getPreviousParagraphNumberingProperties()`
  Gets the previous paragraph numbering properties.
  `void`
  `setNumberingID​(int numberingID)`
  Sets the numbering id.
  `void`
  `setNumberingLevelID​(int numberingLevelID)`
  Sets the numbering level id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberingReference

    public NumberingReference()
    Instantiates a new numbering reference.

  - ### NumberingReference

    public NumberingReference​(int numberingID)
    Instantiates a new numbering reference.
    Parameters:
      `numberingID` - the numbering id

  - ### NumberingReference

    public NumberingReference​(int numberingID, int numberingLevelID)
    Instantiates a new numbering reference.
    Parameters:
      `numberingID` - the numbering id
      `numberingLevelID` - the numbering level id

  - ### NumberingReference

    public NumberingReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new numbering reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public NumberingReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNumberingLevelID

    public int getNumberingLevelID()
    Gets the numbering level id.
    Returns:
      the numbering level id

  - ### setNumberingLevelID

    public void setNumberingLevelID​(int numberingLevelID)
    Sets the numbering level id.
    Parameters:
      `numberingLevelID` - the new numbering level id

  - ### getNumberingID

    public int getNumberingID()
    Gets the numbering id.
    Returns:
      the numbering id

  - ### setNumberingID

    public void setNumberingID​(int numberingID)
    Sets the numbering id.
    Parameters:
      `numberingID` - the new numbering id

  - ### getInsertedNumberingProperties

    public InsertedNumberingProperties getInsertedNumberingProperties()
    Gets the inserted numbering properties.
    Returns:
      the inserted numbering properties

  - ### getPreviousParagraphNumberingProperties

    public PreviousParagraphNumberingProperties getPreviousParagraphNumberingProperties()
    Gets the previous paragraph numbering properties.
    Returns:
      the previous paragraph numbering properties